Skip to main content
Agents

List agents

GET
/agents

Returns a paged collection of agent resources.

Query Parameters
kindstringoptional
Filter agents by kind. If not provided, all agents are returned.
prompthostedworkflowexternal
limitintegeroptionaldefault: 20
A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.
orderstringoptional
Sort order by the created_at timestamp of the objects. asc for ascending order anddesc for descending order.
ascdesc
afterstringoptional
A cursor for use in pagination. after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after=obj_foo in order to fetch the next page of the list.
beforestringoptional
A cursor for use in pagination. before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include before=obj_foo in order to fetch the previous page of the list.
api-versionstringrequired
The API version to use for this operation.
Responses
dataAgentObject[]required
The requested list of items.
objectenumrequired
The object type, which is always 'agent'.
agent
idstringrequired
The unique identifier of the agent.
namestringrequired
The name of the agent.
stateenumrequired
The operational state of an agent.
enableddisabled
state_sourceenum
Indicates the source of an agent's operational state. Empty when the state is not derived from a specific source.
agent_instance_identityagent_blueprint
versionsobjectrequired
The latest version of the agent.
agent_endpointAgentEndpointConfig
digital_worker_typeenum
The type of digital worker.
m365
instance_identityAgentIdentity
blueprintAgentIdentity
blueprint_referenceManagedAgentIdentityBlueprint
agent_cardAgentCard
first_idstring
The first ID represented in this list.
last_idstring
The last ID represented in this list.
has_morebooleanrequired
A value indicating whether there are additional values available not captured in this list.